#
#           Analysis of Covariance Structure
#
from readdataMR import *
import matplotlib.pyplot as plt
import numpy as np
import scipy.stats as scst
import pystan

print('Input data type...')
print('Data is set in the list RawData -> 1')
print('Data is set in the text file    -> 2')
print('Data is set in the csv file     -> 3')
ck = input('\nYour choice = ')
try:
    if ck == '1':
        RawData, f_out, f_out_nm = ReadData_lst()
    elif ck == '2':
        RawData, f_out, f_out_nm = ReadData_txt()
    elif ck == '3':
        RawData, f_out, f_out_nm = ReadData_csv()
    else:
        print('\nInvalid choice...')
        raise Exception('Invalid choice!')

    f_out.write('Data...\n')
    for v in RawData:
        f_out.write('{0}\n'.format(v))

    VarNames = RawData[0]
    ID = []
    P = []          
    A = []
    T = []
    for d in RawData[1:]:
        ID.append(d[0])
        P.append(d[1])
        A.append(d[2])
        T.append(d[3])
    
    N = len(P)
    Data = {'N': N, 'P': P, 'A': A, 'T': T}
    
    sm = pystan.StanModel(file = 'structural_model.stan')
    fit = sm.sampling(data = Data, n_jobs = 1)
    print(fit)
    f_out.write('\n{}'.format(fit))

    f_out.close()

except Exception as e:
    print('\nError: {}\n'.format(e))


