data {
    int N;
    real P[N];
    real A[N];
    real T[N];
}
parameters {
    real<lower = 0.0> sgm_p;
    real<lower = 0.0> sgm_t;
    real b_p;
    real b_t;
    real a_p;
    real a_t;
    real a_tp;
}
model {
    sgm_p ~ exponential(0.0001);
    sgm_t ~ exponential(0.0001);
    b_p ~ normal(0.0, 10000);
    b_t ~ normal(0.0, 10000);
    a_p ~ normal(0.0, 10000);
    a_t ~ normal(0.0, 10000);
    a_tp ~ normal(0.0, 10000);
    for (i in1:N) {
        T[i] ~ normal(b_t + a_t * A[i], sgm_t);
        P[i] ~ normal(b_p + a_p * A[i] + a_tp * T[i], sgm_p);
    }
}